org.eclipse.zest.core.widgets

## Class ZestStyles

- java.lang.Object
- - org.eclipse.zest.core.widgets.ZestStyles

    public final class ZestStyles
    extends java.lang.Object

Style constants used in Zest.

### Field Summary

Fields
`static int` `CONNECTIONS_DASH` Style constant to indicate that connections should be drawn with dashed lines.
`static int` `CONNECTIONS_DASH_DOT` Style constant to indicate that connections should be drawn with dash-dotted lines.
`static int` `CONNECTIONS_DIRECTED` Style indicating that connections should show their direction by default.
`static int` `CONNECTIONS_DOT` Style constant to indicate that connections should be drawn with dotted lines.
`static int` `CONNECTIONS_SOLID` Style constant to indicate that connections should be drawn with solid lines (this is the default).
`static int` `IGNORE_INVISIBLE_LAYOUT` Style constant indicating that invisible nodes should be ignored for layouts.
`static int` `NODES_CACHE_LABEL` Style constant indicating that node labels should be cached.
`static int` `NODES_FISHEYE` Style to specify that the node should contain a fisheye label when the mouse moves over it.
`static int` `NODES_HIDE_TEXT` Style to specify that the node should not show its text (only its image).
`static int` `NODES_NO_ANIMATION` Style constant indiciating the graph should not be animated.
`static int` `NODES_NO_FISHEYE_ANIMATION` Style constant indiciating the graph should not be animated during fisheye.
`static int` `NODES_NO_LAYOUT_ANIMATION` Style constant indiciating the graph should not be animated during layout or refresh.
`static int` `NODES_NO_LAYOUT_RESIZE` Style constant indiciating that nodes should not be resized on layout.
`static int` `NONE` A constant known to be zero (0), used in operations which take bit flags to indicate that "no bits are set".

### Constructor Summary

Constructors
Constructor and Description
`ZestStyles()`

### Method Summary

Methods
`static boolean` `checkStyle(int style, int styleToCheck)` Bitwise ANDs the styleToCheck integer with the given style.
`static boolean` `validateConnectionStyle(int styleToValidate)` Validates the given style for connections to see if it is legal.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NONE

    public static final int NONE

A constant known to be zero (0), used in operations which take bit flags to indicate that "no bits are set".

See Also:
  Constant Field Values

#### IGNORE_INVISIBLE_LAYOUT

    public static final int IGNORE_INVISIBLE_LAYOUT

Style constant indicating that invisible nodes should be ignored for layouts.

See Also:
  Constant Field Values

#### NODES_CACHE_LABEL

    public static final int NODES_CACHE_LABEL

Style constant indicating that node labels should be cached. This is important under GTK+ because font drawing is slower than Windows.

See Also:
  Constant Field Values

#### NODES_FISHEYE

    public static final int NODES_FISHEYE

Style to specify that the node should contain a fisheye label when the mouse moves over it. By default the fisheye node is just the label with larger text.

See Also:
  Constant Field Values

#### NODES_HIDE_TEXT

    public static final int NODES_HIDE_TEXT

Style to specify that the node should not show its text (only its image). This with the NODES_FISHEYE style should help with large graphs (since the fisheye style will show the text).

See Also:
  Constant Field Values

#### NODES_NO_LAYOUT_RESIZE

    public static final int NODES_NO_LAYOUT_RESIZE

Style constant indiciating that nodes should not be resized on layout.

See Also:
  Constant Field Values

#### NODES_NO_LAYOUT_ANIMATION

    public static final int NODES_NO_LAYOUT_ANIMATION

Style constant indiciating the graph should not be animated during layout or refresh.

See Also:
  Constant Field Values

#### NODES_NO_FISHEYE_ANIMATION

    public static final int NODES_NO_FISHEYE_ANIMATION

Style constant indiciating the graph should not be animated during fisheye.

See Also:
  Constant Field Values

#### NODES_NO_ANIMATION

    public static final int NODES_NO_ANIMATION

Style constant indiciating the graph should not be animated.

See Also:
  Constant Field Values

#### CONNECTIONS_DIRECTED

    public static final int CONNECTIONS_DIRECTED

Style indicating that connections should show their direction by default.

See Also:
  Constant Field Values

#### CONNECTIONS_SOLID

    public static final int CONNECTIONS_SOLID

Style constant to indicate that connections should be drawn with solid lines (this is the default).

See Also:
  Constant Field Values

#### CONNECTIONS_DASH

    public static final int CONNECTIONS_DASH

Style constant to indicate that connections should be drawn with dashed lines.

See Also:
  Constant Field Values

#### CONNECTIONS_DOT

    public static final int CONNECTIONS_DOT

Style constant to indicate that connections should be drawn with dotted lines.

See Also:
  Constant Field Values

#### CONNECTIONS_DASH_DOT

    public static final int CONNECTIONS_DASH_DOT

Style constant to indicate that connections should be drawn with dash-dotted lines.

See Also:
  Constant Field Values

### Constructor Detail

#### ZestStyles

    public ZestStyles()

### Method Detail

#### checkStyle

    public static boolean checkStyle(int style,
                     int styleToCheck)

Bitwise ANDs the styleToCheck integer with the given style.

Parameters:
  `style` -
  `styleToCheck` -
Returns:
  boolean if styleToCheck is part of the style

#### validateConnectionStyle

    public static boolean validateConnectionStyle(int styleToValidate)

Validates the given style for connections to see if it is legal. Returns false if not.

Parameters:
  `style` - the style to check.
Returns:
  true iff the given style is legal.